[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TLogType

Type of log

## Declaration

Source position: eventlog.pp line 26

`type TLogType = (`
`ltSystem,` |  | Use the system log
`ltFile,` |  | Write to file
`ltStdOut,`
`ltStdErr`
`);`

## Description

TLogType determines where the log messages are written. It is the type of the TEventLog.LogType property. It can have 2 values:

ltFile
  This is used to write all messages to file. if no system logging mechanism exists, this is used as a fallback mechanism.
ltSystem
  This is used to send all messages to the system log mechanism. Which log mechanism this is, depends on the operating system.

## See also

TEventLog.LogType |  | Log type